
TYPO3.Neos - Feature # 54669

Status: Closed Priority: Should have
Author: Chr is Category:
Created: 2014-01-01 Assigned To:
Updated: 2014-10-02 Due date:
Subject: Add Empty robots.txt
Description

Add Empty robots.txt to TYPO3 Neos "Web" folder.

History
#1 - 2014-01-01 18:45 - Jacob Floyd

I would rather see a feature in Neos that makes Neos respond to the request for robots.txt.

It sounds like it would need a special page template, or maybe we could auto generate it somehow.

Maybe this would be a good extension: Something that adds the option to exclude a branch or page from robots...

I'd rather not have a default robots.txt file in Web.

#2 - 2014-01-03 15:37 - Chr is

Neos responding to requests for robots.txt is a good idea (even if it is only something like Neos generates the file based on rules that are  configurable
by a plugin).

Otherwise you might run into this problem:
The webserver delivers the robots.txt directly without any possibility for Neos to react to such a request.

Either way- there should be such a file as it is requested by search engine's crawling robots.

PS: I don't like error logs growing without good reasons ;-)

#3 - 2014-01-03 15:37 - Chr is

(removed double post)

#4 - 2014-10-02 10:27 - Daniel Lienert
- Assigned To set to Daniel Lienert

#5 - 2014-10-02 10:30 - Daniel Lienert
- Status changed from New to Closed
- Assigned To deleted (Daniel Lienert)

Moved to https://jira.typo3.org/browse/NEOS-492
